List rules for a link
GET
/api/v1/links/{code}/rules
const url = 'https://example.com/api/v1/links/example/rules';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/links/example/rules \ --header 'Authorization: Bearer <token>'Authorizations
Заголовок раздела «Authorizations»Parameters
Заголовок раздела «Parameters»Path Parameters
Заголовок раздела «Path Parameters»code
required
string
Short code or custom alias
Responses
Заголовок раздела «Responses»Media typeapplication/json
Array<object>
object
id
required
string
linkId
required
string
ruleType
required
string
priority
required
number
conditions
required
object
targetUrl
object
weight
required
number
schema
required
string
redirectType
required
string
flowConfig
object
flowType
required
string
isActive
required
boolean
createdAt
required
string
Example
[ { "ruleType": "geo", "schema": "redirect", "redirectType": "301", "flowType": "forced" }]